//===============================================================================================================
// XRayGlasses v2 Mutator
// Original Author: Gopostal
// Edited Version: SpEcTra_7 a.k.a Rocky
//===============================================================================================================
class XRGv2Mut extends Mutator;

function ModifyPlayer(Pawn Other)
{
	local weapon newWeapon;		
	local Inventory inv;
	
	Super.ModifyPlayer( Other );
	
	if (Other.IsA('PlayerPawn') || Other.IsA('Bot'))
		GiveWeapon(Other, "XRayGlassesv2.XRayGlassesv2");

	if ( NextMutator != None )
		NextMutator.ModifyPlayer(Other);
}

function GiveWeapon(Pawn PlayerPawn, string aClassName )
{
	local class<Weapon> WeaponClass;
	local Weapon NewWeapon;

	WeaponClass = class<Weapon>(DynamicLoadObject(aClassName, class'Class'));

	if( PlayerPawn.FindInventoryType(WeaponClass) != None )
		return;
		
	newWeapon = Spawn(WeaponClass);
	if( newWeapon != None )
	{
		newWeapon.RespawnTime = 0.0;
		newWeapon.GiveTo(PlayerPawn);
		newWeapon.bHeldItem = true;
		newWeapon.GiveAmmo(PlayerPawn);
		newWeapon.SetSwitchPriority(PlayerPawn);
		newWeapon.WeaponSet(PlayerPawn);
		newWeapon.AmbientGlow = 0;
		if ( PlayerPawn.IsA('PlayerPawn') )
			newWeapon.SetHand(PlayerPawn(PlayerPawn).Handedness);
		else
			newWeapon.GotoState('Idle');
		PlayerPawn.Weapon.GotoState('DownWeapon');
		PlayerPawn.PendingWeapon = None;
		PlayerPawn.Weapon = newWeapon;
	}
}

defaultproperties
{
}